diff --git a/game/core/src/main/java/net/minecraft/core/net/handler/PacketHandler.java b/game/core/src/main/java/net/minecraft/core/net/handler/PacketHandler.java
index 6774629b4..308637c87 100644
--- a/game/core/src/main/java/net/minecraft/core/net/handler/PacketHandler.java
+++ b/game/core/src/main/java/net/minecraft/core/net/handler/PacketHandler.java
@@ -1,400 +1,333 @@
 package net.minecraft.core.net.handler;
 
 import net.minecraft.core.net.packet.*;
+import org.jetbrains.annotations.NotNull;
 
-public abstract class PacketHandler
-{
+public abstract class PacketHandler {
 
-    public PacketHandler()
-    {
+    public PacketHandler() {
     }
 
     public abstract boolean isServerHandler();
 
-    public void handleMapChunk(PacketBlockRegionUpdate blockRegionUpdatePacket)
-    {
+    public void handleBlockRegionUpdate(@NotNull PacketBlockRegionUpdate packetBlockRegionUpdate) {
     }
 
-    public void handleInvalidPacket(Packet packet)
-    {
+    public void handleInvalidPacket(@NotNull Packet packet) {
     }
 
-    public void handleErrorMessage(String message, Object[] objects)
-    {
+    public void handleErrorMessage(String message, Object[] objects) {
     }
 
-    public void handleKickDisconnect(PacketDisconnect packet255KickdisconnectPacket)
-    {
-        handleInvalidPacket(packet255KickdisconnectPacket);
+    public void handleDisconnect(@NotNull PacketDisconnect packetDisconnect) {
+        handleInvalidPacket(packetDisconnect);
     }
 
-    public void handleLogin(PacketLogin loginPacket)
-    {
-        handleInvalidPacket(loginPacket);
+    public void handleLogin(@NotNull PacketLogin packetLogin) {
+        handleInvalidPacket(packetLogin);
     }
 
-    public void handlePlayerConfig(PacketPlayerConfig packetPlayerConfig)
-    {
+    public void handlePlayerConfig(@NotNull PacketPlayerConfig packetPlayerConfig) {
         handleInvalidPacket(packetPlayerConfig);
     }
 
-    public void handleFlying(PacketMovePlayer movePlayerPacket)
-    {
-        handleInvalidPacket(movePlayerPacket);
+    public void handleMovePlayer(@NotNull PacketMovePlayer packetMovePlayer) {
+        handleInvalidPacket(packetMovePlayer);
     }
 
-    public void handleMultiBlockChange(PacketChunkBlocksUpdate chunkBlocksUpdatePacket)
-    {
-        handleInvalidPacket(chunkBlocksUpdatePacket);
+    public void handleChunkBlocksUpdate(@NotNull PacketChunkBlocksUpdate packetChunkBlocksUpdate) {
+        handleInvalidPacket(packetChunkBlocksUpdate);
     }
 
-    public void handleBlockDig(PacketPlayerAction playerActionPacket)
-    {
-        handleInvalidPacket(playerActionPacket);
+    public void handlePlayerAction(@NotNull PacketPlayerAction packetPlayerAction) {
+        handleInvalidPacket(packetPlayerAction);
     }
 
-    public void handleBlockUpdate(PacketBlockUpdate blockUpdatePacket)
-    {
-        handleInvalidPacket(blockUpdatePacket);
+    public void handleBlockUpdate(@NotNull PacketBlockUpdate packetBlockUpdate) {
+        handleInvalidPacket(packetBlockUpdate);
     }
 
-    public void handlePreChunk(PacketChunkVisibility chunkVisibilityPacket)
-    {
-        handleInvalidPacket(chunkVisibilityPacket);
+    public void handleChunkVisibility(@NotNull PacketChunkVisibility packetChunkVisibility) {
+        handleInvalidPacket(packetChunkVisibility);
     }
 
-    public void handleNamedEntitySpawn(PacketAddPlayer addPlayerPacket)
-    {
-        handleInvalidPacket(addPlayerPacket);
+    public void handleAddPlayer(@NotNull PacketAddPlayer packetAddPlayer) {
+        handleInvalidPacket(packetAddPlayer);
     }
 
-    public void handleEntity(PacketMoveEntity moveEntityPacket)
-    {
-        handleInvalidPacket(moveEntityPacket);
+    public void handleMoveEntity(@NotNull PacketMoveEntity packetMoveEntity) {
+        handleInvalidPacket(packetMoveEntity);
     }
 
-    public void handleEntityTeleport(PacketTeleportEntity teleportEntityPacket)
-    {
-        handleInvalidPacket(teleportEntityPacket);
+    public void handleTeleportEntity(@NotNull PacketTeleportEntity packetTeleportEntity) {
+        handleInvalidPacket(packetTeleportEntity);
     }
 
-    public void handleEntityFling(PacketEntityFling packetEntityFling) {
+    public void handleEntityFling(@NotNull PacketEntityFling packetEntityFling) {
         handleInvalidPacket(packetEntityFling);
     }
 
-    public void handlePlace(PacketUseOrPlaceItemStack useItemPacket)
-    {
-        handleInvalidPacket(useItemPacket);
+    public void handleUseOrPlaceItem(@NotNull PacketUseOrPlaceItemStack packetUseOrPlaceItemStack) {
+        handleInvalidPacket(packetUseOrPlaceItemStack);
     }
 
-    public void handleBlockItemSwitch(PacketSetCarriedItem setCarriedItemPacket)
-    {
-        handleInvalidPacket(setCarriedItemPacket);
+    public void handleSetCarriedItem(@NotNull PacketSetCarriedItem packetSetCarriedItem) {
+        handleInvalidPacket(packetSetCarriedItem);
     }
 
-    public void handleDestroyEntity(PacketRemoveEntity removeEntityPacket)
-    {
-        handleInvalidPacket(removeEntityPacket);
+    public void handleRemoveEntity(@NotNull PacketRemoveEntity packetRemoveEntity) {
+        handleInvalidPacket(packetRemoveEntity);
     }
 
-    public void handleSetPaintingMotive(PacketSetPaintingArt setPaintingArtPacket)
-    {
-        handleInvalidPacket(setPaintingArtPacket);
+    public void handleSetPaintingArt(@NotNull PacketSetPaintingArt packetSetPaintingArt) {
+        handleInvalidPacket(packetSetPaintingArt);
     }
 
-    public void handlePickupSpawn(PacketAddItemEntity addItemEntityPacket)
-    {
-        handleInvalidPacket(addItemEntityPacket);
+    public void handleAddItemEntity(@NotNull PacketAddItemEntity packetAddItemEntity) {
+        handleInvalidPacket(packetAddItemEntity);
     }
 
-    public void handleCollect(PacketTakeItemEntity takeItemEntityPacket)
-    {
-        handleInvalidPacket(takeItemEntityPacket);
+    public void handleTakeItemEntity(@NotNull PacketTakeItemEntity packetTakeItemEntity) {
+        handleInvalidPacket(packetTakeItemEntity);
     }
 
-    public void handleChat(PacketChat chatPacket)
-    {
-        handleInvalidPacket(chatPacket);
+    public void handleChat(@NotNull PacketChat packetChat) {
+        handleInvalidPacket(packetChat);
     }
 
-    public void handleVehicleSpawn(PacketAddEntity addEntityPacket)
-    {
-        handleInvalidPacket(addEntityPacket);
+    public void handleAddEntity(@NotNull PacketAddEntity packetAddEntity) {
+        handleInvalidPacket(packetAddEntity);
     }
 
-    public void handleAnimation(PacketAnimate animatePacket)
-    {
-        handleInvalidPacket(animatePacket);
+    public void handleAnimation(@NotNull PacketAnimate packetAnimate) {
+        handleInvalidPacket(packetAnimate);
     }
 
-    public void handlePlayerState(PacketUpdatePlayerState updatePlayerStatePacket)
-    {
-        handleInvalidPacket(updatePlayerStatePacket);
+    public void handleUpdatePlayerState(@NotNull PacketUpdatePlayerState packetUpdatePlayerState) {
+        handleInvalidPacket(packetUpdatePlayerState);
     }
 
-    public void handleHandshake(PacketPreLogin preLoginPacket)
-    {
-        handleInvalidPacket(preLoginPacket);
+    public void handleHandshake(@NotNull PacketHandshake packetHandshake) {
+        handleInvalidPacket(packetHandshake);
     }
 
-    public void handleMobSpawn(PacketAddMob addMobPacket)
-    {
-        handleInvalidPacket(addMobPacket);
+    public void handleAddMob(@NotNull PacketAddMob packetAddMob) {
+        handleInvalidPacket(packetAddMob);
     }
 
-    public void handleUpdateTime(PacketSetTime setTimePacket)
-    {
-        handleInvalidPacket(setTimePacket);
+    public void handleSetTime(@NotNull PacketSetTime packetSetTime) {
+        handleInvalidPacket(packetSetTime);
     }
 
-    public void handleSpawnPosition(PacketSetSpawnPosition setSpawnPositionPacket)
-    {
-        handleInvalidPacket(setSpawnPositionPacket);
+    public void handleSetSpawnPosition(@NotNull PacketSetSpawnPosition packetSetSpawnPosition) {
+        handleInvalidPacket(packetSetSpawnPosition);
     }
 
-    public void handleEntityVelocity(PacketSetEntityMotion setEntityMotionPacket)
-    {
-        handleInvalidPacket(setEntityMotionPacket);
+    public void handleSetEntityMotion(@NotNull PacketSetEntityMotion packetSetEntityMotion) {
+        handleInvalidPacket(packetSetEntityMotion);
     }
 
-    public void handleEntityMetadata(PacketSetEntityData setEntityDataPacket)
-    {
-        handleInvalidPacket(setEntityDataPacket);
+    public void handleSetEntityData(@NotNull PacketSetEntityData packetSetEntityData) {
+        handleInvalidPacket(packetSetEntityData);
     }
 
-    public void handleAttachEntity(PacketSetRiding setRidingPacket)
-    {
-        handleInvalidPacket(setRidingPacket);
+    public void handleSetRiding(@NotNull PacketSetRiding packetSetRiding) {
+        handleInvalidPacket(packetSetRiding);
     }
 
-    public void handleUseEntity(PacketInteract interactPacket)
-    {
-        handleInvalidPacket(interactPacket);
+    public void handleEntityInteract(@NotNull PacketEntityInteract packetEntityInteract) {
+        handleInvalidPacket(packetEntityInteract);
     }
 
-    public void handleEntityStatus(PacketEntityEvent enitityEventPacket)
-    {
-        handleInvalidPacket(enitityEventPacket);
+    public void handleEntityEvent(@NotNull PacketEntityEvent packetEntityEvent) {
+        handleInvalidPacket(packetEntityEvent);
     }
 
-    public void handleEntityTagData(PacketEntityTagData entityTagDataPacket)
-    {
-        handleInvalidPacket(entityTagDataPacket);
+    public void handleEntityTagData(@NotNull PacketEntityTagData packetEntityTagData) {
+        handleInvalidPacket(packetEntityTagData);
     }
 
-    public void handleUpdateHealth(PacketSetHealth setHealthPacket)
-    {
-        handleInvalidPacket(setHealthPacket);
+    public void handleSetHealth(@NotNull PacketSetHealth packetSetHealth) {
+        handleInvalidPacket(packetSetHealth);
     }
 
-    public void handleUpdatePlayerProfile(PacketUpdatePlayerProfile updatePlayerProfilePacket)
-    {
-        handleInvalidPacket(updatePlayerProfilePacket);
+    public void handleUpdatePlayerProfile(@NotNull PacketUpdatePlayerProfile packetUpdatePlayerProfile) {
+        handleInvalidPacket(packetUpdatePlayerProfile);
     }
 
-    public void handleRespawn(PacketRespawn respawnPacket)
-    {
-        handleInvalidPacket(respawnPacket);
+    public void handleRespawn(@NotNull PacketRespawn packetRespawn) {
+        handleInvalidPacket(packetRespawn);
     }
 
-    public void handleExplosion(PacketExplosion explosionPacket)
-    {
-        handleInvalidPacket(explosionPacket);
+    public void handleExplosion(@NotNull PacketExplosion packetExplosion) {
+        handleInvalidPacket(packetExplosion);
     }
 
-    public void handleOpenWindow(PacketContainerOpen containerOpenPacket)
-    {
-        handleInvalidPacket(containerOpenPacket);
+    public void handleContainerOpen(@NotNull PacketContainerOpen packetContainerOpen) {
+        handleInvalidPacket(packetContainerOpen);
     }
 
-    public void handleCloseWindow(PacketContainerClose containerClosePacket)
-    {
-        handleInvalidPacket(containerClosePacket);
+    public void handleContainerClose(@NotNull PacketContainerClose packetContainerClose) {
+        handleInvalidPacket(packetContainerClose);
     }
 
-    public void handleWindowClick(PacketContainerClick containerClickPacket)
-    {
-        handleInvalidPacket(containerClickPacket);
+    public void handleContainerClick(@NotNull PacketContainerClick packetContainerClick) {
+        handleInvalidPacket(packetContainerClick);
     }
 
-    public void handleTileEntityData(PacketTileEntityData packetTileEntityData)
-    {
+    public void handleTileEntityData(@NotNull PacketTileEntityData packetTileEntityData) {
         handleInvalidPacket(packetTileEntityData);
     }
 
-    public void handleSetSlot(PacketContainerSetSlot containerSetslotPacket)
-    {
-        handleInvalidPacket(containerSetslotPacket);
+    public void handleContainerSetSlot(@NotNull PacketContainerSetSlot packetContainerSetSlot) {
+        handleInvalidPacket(packetContainerSetSlot);
     }
 
-    public void handleWindowItems(PacketContainerSetContent containerSetContentPacket)
-    {
-        handleInvalidPacket(containerSetContentPacket);
+    public void handleContainerSetContent(@NotNull PacketContainerSetContent packetContainerSetContent) {
+        handleInvalidPacket(packetContainerSetContent);
     }
 
-    public void handleUpdateSign(PacketSignUpdate signUpdatePacket)
-    {
-        handleInvalidPacket(signUpdatePacket);
+    public void handleSignUpdate(@NotNull PacketSignUpdate packetSignUpdate) {
+        handleInvalidPacket(packetSignUpdate);
     }
 
-    public void handleSetMobSpawner(PacketSetMobSpawner setMobSpawnerPacket)
-    {
-        handleInvalidPacket(setMobSpawnerPacket);
+    public void handleSetMobSpawner(@NotNull PacketSetMobSpawner packetSetMobSpawner) {
+        handleInvalidPacket(packetSetMobSpawner);
     }
-    
-    public void handleUpdateProgressbar(PacketContainerSetData containerSetDataPacket)
-    {
-        handleInvalidPacket(containerSetDataPacket);
+
+    public void handleContainerSetData(@NotNull PacketContainerSetData packetContainerSetData) {
+        handleInvalidPacket(packetContainerSetData);
     }
 
-    public void handlePlayerInventory(PacketSetEquippedItem setEquippedItemPacket)
-    {
-        handleInvalidPacket(setEquippedItemPacket);
+    public void handleSetEquippedItem(@NotNull PacketSetEquippedItem packetSetEquippedItem) {
+        handleInvalidPacket(packetSetEquippedItem);
     }
 
-    public void handlePlayerHeldObject(PacketSetHeldObject setHeldObjectPacket) {
-        handleInvalidPacket(setHeldObjectPacket);
+    public void handleSetHeldObject(@NotNull PacketSetHeldObject packetSetHeldObject) {
+        handleInvalidPacket(packetSetHeldObject);
     }
 
-    public void handleTransaction(PacketContainerAck containerAckPacket)
-    {
-        handleInvalidPacket(containerAckPacket);
+    public void handleContainerAck(@NotNull PacketContainerAck packetContainerAck) {
+        handleInvalidPacket(packetContainerAck);
     }
 
-    public void handleEntityPainting(PacketAddPainting addPaintingPacket)
-    {
-        handleInvalidPacket(addPaintingPacket);
+    public void handleAddPainting(@NotNull PacketAddPainting packetAddPainting) {
+        handleInvalidPacket(packetAddPainting);
     }
-    public void handleBoatControl(PacketBoatControl boatControlPacket)
-    {
-        handleInvalidPacket(boatControlPacket);
+
+    public void handleBoatControl(@NotNull PacketBoatControl packetBoatControl) {
+        handleInvalidPacket(packetBoatControl);
     }
 
-    public void handleBlockEvent(PacketBlockEvent blockEventPacket)
-    {
-        handleInvalidPacket(blockEventPacket);
+    public void handleBlockEvent(@NotNull PacketBlockEvent packetBlockEvent) {
+        handleInvalidPacket(packetBlockEvent);
     }
 
-    public void handleStatistic(PacketStatistic statisticPacket)
-    {
-        handleInvalidPacket(statisticPacket);
+    public void handleStatistic(@NotNull PacketStatistic packetStatistic) {
+        handleInvalidPacket(packetStatistic);
     }
 
-    public void handleSleep(PacketSleep sleepPacket)
-    {
-        handleInvalidPacket(sleepPacket);
+    public void handleSleep(@NotNull PacketSleep packetSleep) {
+        handleInvalidPacket(packetSleep);
     }
-    public void handleBed(PacketBedMessage bedMessagePacket)
-    {
-        handleInvalidPacket(bedMessagePacket);
+
+    public void handleBedMessage(@NotNull PacketBedMessage packetBedMessage) {
+        handleInvalidPacket(packetBedMessage);
     }
 
-    public void handleWeather(PacketWeatherEffect weatherEffectPacket)
-    {
-        handleInvalidPacket(weatherEffectPacket);
+    public void handleWeatherEffect(@NotNull PacketWeatherEffect packetWeatherEffect) {
+        handleInvalidPacket(packetWeatherEffect);
     }
 
-    public void handleMapData(PacketMapData mapdataPacket)
-    {
-        handleInvalidPacket(mapdataPacket);
+    public void handleMapData(@NotNull PacketMapData packetMapData) {
+        handleInvalidPacket(packetMapData);
     }
 
-    public void handlePlaySoundEffect(PacketPlaySoundEffect playSoundEffectPacket)
-    {
-        handleInvalidPacket(playSoundEffectPacket);
+    public void handlePlaySoundEffect(@NotNull PacketPlaySound packetPlaySound) {
+        handleInvalidPacket(packetPlaySound);
     }
-    public void handlePlaySoundDirectly(PacketPlaySoundEffectDirect playSoundEffectDirectPacket)
-    {
-        handleInvalidPacket(playSoundEffectDirectPacket);
+
+    public void handlePlaySoundDirectly(@NotNull PacketPlaySoundDirect packetPlaySoundDirect) {
+        handleInvalidPacket(packetPlaySoundDirect);
     }
-    public void handleSpawnParticle(PacketAddParticle addParticlePacket)
-    {
-        handleInvalidPacket(addParticlePacket);
+
+    public void handleAddParticle(@NotNull PacketAddParticle packetAddParticle) {
+        handleInvalidPacket(packetAddParticle);
     }
 
-    public void handleEntityPlayerGamemode(PacketPlayerGamemode playerGamemodePacket)
-    {
-        handleInvalidPacket(playerGamemodePacket);
+    public void handlePlayerGamemode(@NotNull PacketPlayerGamemode packetPlayerGamemode) {
+        handleInvalidPacket(packetPlayerGamemode);
     }
 
-    public void handleUpdateCreativeInventory(PacketUpdateCreativeInventory updateCreativeInventoryPacket)
-    {
-        handleInvalidPacket(updateCreativeInventoryPacket);
+    public void handleUpdateCreativeInventory(@NotNull PacketUpdateCreativeInventory packetUpdateCreativeInventory) {
+        handleInvalidPacket(packetUpdateCreativeInventory);
     }
 
-    public void handleWeatherStatus(PacketWeatherStatus weatherStatusPacket)
-    {
-        handleInvalidPacket(weatherStatusPacket);
+    public void handleWeatherStatus(@NotNull PacketWeatherStatus packetWeatherStatus) {
+        handleInvalidPacket(packetWeatherStatus);
     }
 
-    public void handleOpenGuidebook(PacketGuidebook guidebookPacket)
-    {
-        handleInvalidPacket(guidebookPacket);
+    public void handleGuidebook(@NotNull PacketGuidebook packetGuidebook) {
+        handleInvalidPacket(packetGuidebook);
     }
 
-    public void handleSetHotbarOffset(PacketSetHotbarOffset setHotbarOffsetPacket)
-    {
-        handleInvalidPacket(setHotbarOffsetPacket);
+    public void handleSetHotbarOffset(@NotNull PacketSetHotbarOffset packetSetHotbarOffset) {
+        handleInvalidPacket(packetSetHotbarOffset);
     }
 
-    public void handleEntityNickname(PacketEntityNickname entityNicknamePacket)
-    {
-        handleInvalidPacket(entityNicknamePacket);
+    public void handleEntityNickname(@NotNull PacketEntityNickname packetEntityNickname) {
+        handleInvalidPacket(packetEntityNickname);
     }
 
-    public void handleSendKey(PacketAESSendKey AESSendKeyPacket)
-    {
-        handleInvalidPacket(AESSendKeyPacket);
+    public void handleAESSendKey(@NotNull PacketAESSendKey packetAESSendKey) {
+        handleInvalidPacket(packetAESSendKey);
     }
 
-    public void handleItemName(PacketSetItemName setItemNamePacket)
-    {
-        handleInvalidPacket(setItemNamePacket);
+    public void handleSetItemName(@NotNull PacketSetItemName packetSetItemName) {
+        handleInvalidPacket(packetSetItemName);
     }
-    public void handlePlayerList(PacketPlayerList playerListPacket)
-    {
-        handleInvalidPacket(playerListPacket);
+
+    public void handlePlayerList(@NotNull PacketPlayerList packetPlayerList) {
+        handleInvalidPacket(packetPlayerList);
     }
 
-    public void handleOpenFlagWindow(PacketFlagOpen flagOpenPacket)
-    {
-        handleInvalidPacket(flagOpenPacket);
+    public void handleFlagOpen(@NotNull PacketFlagOpen packetFlagOpen) {
+        handleInvalidPacket(packetFlagOpen);
     }
 
-    public void handlePhotoMode(PacketPhotoMode photoModePacket)
-    {
-        handleInvalidPacket(photoModePacket);
+    public void handlePhotoMode(@NotNull PacketPhotoMode packetPhotoMode) {
+        handleInvalidPacket(packetPhotoMode);
     }
 
-    public void handlePingHandshake(PacketPingHandshake pingHandshakePacket) {
-        handleInvalidPacket(pingHandshakePacket);
+    public void handlePingHandshake(@NotNull PacketPingHandshake packetPingHandshake) {
+        handleInvalidPacket(packetPingHandshake);
     }
 
-    public void handleGameRule(PacketGameRule gameRulePacket) {
-        handleInvalidPacket(gameRulePacket);
+    public void handleGameRule(@NotNull PacketGameRule packetGameRule) {
+        handleInvalidPacket(packetGameRule);
     }
 
-    public void handleSyncedRecipe(PacketRecipeSync recipeSyncPacket) {
-        handleInvalidPacket(recipeSyncPacket);
+    public void handleRecipeSync(@NotNull PacketRecipeSync packetRecipeSync) {
+        handleInvalidPacket(packetRecipeSync);
     }
-    
-    public void handleIds(PacketSyncIDs syncIDsPacket) {
-    	handleInvalidPacket(syncIDsPacket);
+
+    public void handleSyncIDs(@NotNull PacketSyncIDs packetSyncIDs) {
+        handleInvalidPacket(packetSyncIDs);
     }
-    
-    public void handleCustomPayload(PacketCustomPayload customPayloadPacket) {
-    	handleInvalidPacket(customPayloadPacket);
+
+    public void handleCustomPayload(@NotNull PacketCustomPayload packetCustomPayload) {
+        handleInvalidPacket(packetCustomPayload);
     }
 
-    public void handleCommandManagerPacket(PacketCommandManager commandManagerPacket) {
-        handleInvalidPacket(commandManagerPacket);
+    public void handleCommandManager(@NotNull PacketCommandManager packetCommandManager) {
+        handleInvalidPacket(packetCommandManager);
     }
 
-    public void handleRequestCommandManagerPacket(PacketRequestCommandManager requestCommandManagerPacket) {
-        handleInvalidPacket(requestCommandManagerPacket);
+    public void handleRequestCommandManager(@NotNull PacketRequestCommandManager packetRequestCommandManager) {
+        handleInvalidPacket(packetRequestCommandManager);
     }
 
-    public void handleServerIconPacket(PacketServerIcon packetServerIcon) {
+    public void handleServerIcon(@NotNull PacketServerIcon packetServerIcon) {
         handleInvalidPacket(packetServerIcon);
     }
 }
diff --git a/game/core/src/main/java/net/minecraft/core/net/packet/Packet.java b/game/core/src/main/java/net/minecraft/core/net/packet/Packet.java
index 1a9437e9a..6548d1f21 100644
--- a/game/core/src/main/java/net/minecraft/core/net/packet/Packet.java
+++ b/game/core/src/main/java/net/minecraft/core/net/packet/Packet.java
@@ -7,7 +7,6 @@ import it.unimi.dsi.fastutil.ints.Int2ObjectMap;
 import it.unimi.dsi.fastutil.ints.Int2ObjectMaps;
 import it.unimi.dsi.fastutil.ints.Int2ObjectOpenHashMap;
 import it.unimi.dsi.fastutil.ints.IntArrayList;
-import it.unimi.dsi.fastutil.ints.IntArrays;
 import it.unimi.dsi.fastutil.ints.IntList;
 import it.unimi.dsi.fastutil.ints.IntOpenHashSet;
 import it.unimi.dsi.fastutil.ints.IntSet;
@@ -26,8 +25,6 @@ import java.io.DataOutputStream;
 import java.io.EOFException;
 import java.io.IOException;
 import java.nio.charset.StandardCharsets;
-import java.util.Arrays;
-import java.util.List;
 import java.util.UUID;
 
 public abstract class Packet
@@ -257,12 +254,12 @@ public abstract class Packet
     {
         addMapping(0, true, true, PacketKeepAlive.class);
         addMapping(1, true, true, PacketLogin.class);
-        addMapping(2, true, true, PacketPreLogin.class);
+        addMapping(2, true, true, PacketHandshake.class);
         addMapping(3, true, true, PacketChat.class);
         addMapping(4, true, false, PacketSetTime.class);
         addMapping(5, true, false, PacketSetEquippedItem.class);
         addMapping(6, true, false, PacketSetSpawnPosition.class);
-        addMapping(7, false, true, PacketInteract.class);
+        addMapping(7, false, true, PacketEntityInteract.class);
         addMapping(8, true, false, PacketSetHealth.class);
         addMapping(9, true, true, PacketRespawn.class);
         addMapping(10, true, true, PacketMovePlayer.class);
@@ -304,8 +301,8 @@ public abstract class Packet
         addMapping(53, true, false, PacketBlockUpdate.class);
         addMapping(54, true, false, PacketBlockEvent.class);
         addMapping(60, true, false, PacketExplosion.class);
-        addMapping(61, true, false, PacketPlaySoundEffect.class);
-        addMapping(62, true, false, PacketPlaySoundEffectDirect.class);
+        addMapping(61, true, false, PacketPlaySound.class);
+        addMapping(62, true, false, PacketPlaySoundDirect.class);
         addMapping(63, true, false, PacketAddParticle.class);
         addMapping(70, true, false, PacketBedMessage.class);
         addMapping(71, true, false, PacketWeatherEffect.class);
diff --git a/game/core/src/main/java/net/minecraft/core/net/packet/PacketAESSendKey.java b/game/core/src/main/java/net/minecraft/core/net/packet/PacketAESSendKey.java
index dd9d8bec9..1f7223e3d 100644
--- a/game/core/src/main/java/net/minecraft/core/net/packet/PacketAESSendKey.java
+++ b/game/core/src/main/java/net/minecraft/core/net/packet/PacketAESSendKey.java
@@ -36,7 +36,7 @@ public class PacketAESSendKey extends Packet
     @Override
 	public void handlePacket(PacketHandler packetHandler)
     {
-        packetHandler.handleSendKey(this);
+        packetHandler.handleAESSendKey(this);
     }
 
     @Override
diff --git a/game/core/src/main/java/net/minecraft/core/net/packet/PacketAddEntity.java b/game/core/src/main/java/net/minecraft/core/net/packet/PacketAddEntity.java
index ab325faa9..89cb4f497 100644
--- a/game/core/src/main/java/net/minecraft/core/net/packet/PacketAddEntity.java
+++ b/game/core/src/main/java/net/minecraft/core/net/packet/PacketAddEntity.java
@@ -159,7 +159,7 @@ public class PacketAddEntity extends Packet {
     @Override
 	public void handlePacket(PacketHandler packetHandler)
     {
-        packetHandler.handleVehicleSpawn(this);
+        packetHandler.handleAddEntity(this);
     }
 
     @Override
diff --git a/game/core/src/main/java/net/minecraft/core/net/packet/PacketAddItemEntity.java b/game/core/src/main/java/net/minecraft/core/net/packet/PacketAddItemEntity.java
index 399e8911b..04fdf3b7e 100644
--- a/game/core/src/main/java/net/minecraft/core/net/packet/PacketAddItemEntity.java
+++ b/game/core/src/main/java/net/minecraft/core/net/packet/PacketAddItemEntity.java
@@ -69,7 +69,7 @@ public class PacketAddItemEntity extends Packet {
     @Override
 	public void handlePacket(PacketHandler packetHandler)
     {
-        packetHandler.handlePickupSpawn(this);
+        packetHandler.handleAddItemEntity(this);
     }
 
     @Override
diff --git a/game/core/src/main/java/net/minecraft/core/net/packet/PacketAddMob.java b/game/core/src/main/java/net/minecraft/core/net/packet/PacketAddMob.java
index 3a9e44c1f..a3e825f79 100644
--- a/game/core/src/main/java/net/minecraft/core/net/packet/PacketAddMob.java
+++ b/game/core/src/main/java/net/minecraft/core/net/packet/PacketAddMob.java
@@ -77,7 +77,7 @@ public class PacketAddMob extends Packet
     @Override
 	public void handlePacket(PacketHandler packetHandler)
     {
-        packetHandler.handleMobSpawn(this);
+        packetHandler.handleAddMob(this);
     }
 
     @Override
diff --git a/game/core/src/main/java/net/minecraft/core/net/packet/PacketAddPainting.java b/game/core/src/main/java/net/minecraft/core/net/packet/PacketAddPainting.java
index 2dc7e674e..474675f35 100644
--- a/game/core/src/main/java/net/minecraft/core/net/packet/PacketAddPainting.java
+++ b/game/core/src/main/java/net/minecraft/core/net/packet/PacketAddPainting.java
@@ -62,7 +62,7 @@ public class PacketAddPainting extends Packet
     @Override
 	public void handlePacket(PacketHandler packetHandler)
     {
-        packetHandler.handleEntityPainting(this);
+        packetHandler.handleAddPainting(this);
     }
 
     @Override
diff --git a/game/core/src/main/java/net/minecraft/core/net/packet/PacketAddParticle.java b/game/core/src/main/java/net/minecraft/core/net/packet/PacketAddParticle.java
index 4ff21d59b..530cd9084 100644
--- a/game/core/src/main/java/net/minecraft/core/net/packet/PacketAddParticle.java
+++ b/game/core/src/main/java/net/minecraft/core/net/packet/PacketAddParticle.java
@@ -113,7 +113,7 @@ public class PacketAddParticle extends Packet{
 
     @Override
     public void handlePacket(PacketHandler packetHandler) {
-        packetHandler.handleSpawnParticle(this);
+        packetHandler.handleAddParticle(this);
     }
 
     @Override
diff --git a/game/core/src/main/java/net/minecraft/core/net/packet/PacketAddPlayer.java b/game/core/src/main/java/net/minecraft/core/net/packet/PacketAddPlayer.java
index 2c0f39671..65a2c6991 100644
--- a/game/core/src/main/java/net/minecraft/core/net/packet/PacketAddPlayer.java
+++ b/game/core/src/main/java/net/minecraft/core/net/packet/PacketAddPlayer.java
@@ -111,7 +111,7 @@ public class PacketAddPlayer extends Packet
     @Override
 	public void handlePacket(final PacketHandler packetHandler)
     {
-        packetHandler.handleNamedEntitySpawn(this);
+        packetHandler.handleAddPlayer(this);
     }
 
     @Override
diff --git a/game/core/src/main/java/net/minecraft/core/net/packet/PacketBedMessage.java b/game/core/src/main/java/net/minecraft/core/net/packet/PacketBedMessage.java
index ae0042483..67f3197aa 100644
--- a/game/core/src/main/java/net/minecraft/core/net/packet/PacketBedMessage.java
+++ b/game/core/src/main/java/net/minecraft/core/net/packet/PacketBedMessage.java
@@ -33,7 +33,7 @@ public class PacketBedMessage extends Packet
     @Override
 	public void handlePacket(PacketHandler packetHandler)
     {
-        packetHandler.handleBed(this);
+        packetHandler.handleBedMessage(this);
     }
 
     @Override
diff --git a/game/core/src/main/java/net/minecraft/core/net/packet/PacketBlockRegionUpdate.java b/game/core/src/main/java/net/minecraft/core/net/packet/PacketBlockRegionUpdate.java
index f3690c8f9..b082ae5f3 100644
--- a/game/core/src/main/java/net/minecraft/core/net/packet/PacketBlockRegionUpdate.java
+++ b/game/core/src/main/java/net/minecraft/core/net/packet/PacketBlockRegionUpdate.java
@@ -92,7 +92,7 @@ public class PacketBlockRegionUpdate extends Packet
     @Override
 	public void handlePacket(PacketHandler packetHandler)
     {
-        packetHandler.handleMapChunk(this);
+        packetHandler.handleBlockRegionUpdate(this);
     }
 
     @Override
diff --git a/game/core/src/main/java/net/minecraft/core/net/packet/PacketChunkBlocksUpdate.java b/game/core/src/main/java/net/minecraft/core/net/packet/PacketChunkBlocksUpdate.java
index b01712ca1..db5d29016 100644
--- a/game/core/src/main/java/net/minecraft/core/net/packet/PacketChunkBlocksUpdate.java
+++ b/game/core/src/main/java/net/minecraft/core/net/packet/PacketChunkBlocksUpdate.java
@@ -80,7 +80,7 @@ public class PacketChunkBlocksUpdate extends Packet
     @Override
 	public void handlePacket(PacketHandler packetHandler)
     {
-        packetHandler.handleMultiBlockChange(this);
+        packetHandler.handleChunkBlocksUpdate(this);
     }
 
     @Override
